﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Crossrail.IMS.Common
{
	/// <summary>
	/// Attractiveness Complexity Question Enum
	/// </summary>
	public enum AttractivenessComplexityQuestionId
	{
		/// <summary>
		/// The who benefits
		/// </summary>
		WhoBenefits = 1,

		/// <summary>
		/// The what magnitude required
		/// </summary>
		WhatMagnitudeRequired = 2,

		/// <summary>
		/// The what impact to productivity
		/// </summary>
		WhatImpactToProductivity = 3,

		/// <summary>
		/// The how idea improve quality
		/// </summary>
		HowIdeaImproveQuality = 4,

		/// <summary>
		/// The how strong evidence impact
		/// </summary>
		HowStrongEvidenceImpact = 5,

		/// <summary>
		/// The what flexibility idea afford
		/// </summary>
		WhatFlexibilityIdeaAfford = 6,

		/// <summary>
		/// The what magnitude idea importsto CRL
		/// </summary>
		WhatMagnitudeIdeaImportstoCRL = 7,

		/// <summary>
		/// The competitive sensitivity with idea
		/// </summary>
		CompetitiveSensitivityWithIdea = 8,

		/// <summary>
		/// The how well developed idea
		/// </summary>
		HowWellDevelopedIdea = 9,

		/// <summary>
		/// The what levelof support
		/// </summary>
		WhatLevelofSupport = 10,

		/// <summary>
		/// The what levelof effort required
		/// </summary>
		WhatLevelofEffortRequired = 11
	}
}
