﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Crossrail.IMS.Common
{
	/// <summary>
	/// InnovationDataCategory
	/// </summary>
	public enum InnovationDataCategory
	{
		/// <summary>
		/// The site project doctorate
		/// </summary>
		SiteProjectDoctorate = 1,

		/// <summary>
		/// The theme
		/// </summary>
		Theme = 2,

		/// <summary>
		/// The area
		/// </summary>
		Area = 3,

		/// <summary>
		/// The stage
		/// </summary>
		Stage = 4,

		/// <summary>
		/// The IRL
		/// </summary>
		IRL = 5,

		/// <summary>
		/// The how can we help
		/// </summary>
		HowCanWeHelp = 6,

		/// <summary>
		/// The individual or shared innovation
		/// </summary>
		IndividualOrSharedInnovation = 7,

		/// <summary>
		/// The benefit clearly understood
		/// </summary>
		BenefitClearlyUnderstood = 8,

		/// <summary>
		/// The suitably developed to share
		/// </summary>
		SuitablyDevelopedToShare = 9,

		/// <summary>
		/// The idea type
		/// </summary>
		IdeaType = 10,

		/// <summary>
		/// The idea maturity
		/// </summary>
		IdeaMaturity = 11,

		/// <summary>
		/// The primary benefit
		/// </summary>
		PrimaryBenefit = 12,

		/// <summary>
		/// The innovation source
		/// </summary>
		InnovationSource = 13,

        /// <summary>
        /// Assigned Innovation Team Member
        /// </summary>
        AssignedInnovationTeamMember = 14
	}
}
