﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace Crossrail.IMS.DataGateway
{
	public class ActionsRequiredTemporary
	{
		/// <summary>
		/// The id
		/// </summary>
		[DataMember]
		public int ID { get; set; }

		/// <summary>
		/// Gets or sets the actions.
		/// </summary>
		/// <value>
		/// The actions.
		/// </value>
		[DataMember]
		public string Actions { get; set; }

		/// <summary>
		/// Gets or sets the owner.
		/// </summary>
		/// <value>
		/// The owner.
		/// </value>
		[DataMember]
		public string Owner { get; set; }

		/// <summary>
		/// Gets or sets a value indicating whether this <see cref="ActionsRequired" /> is completed.
		/// </summary>
		/// <value>
		///   <c>true</c> if completed; otherwise, <c>false</c>.
		/// </value>
		[DataMember]
		public bool Completed { get; set; }

		/// <summary>
		/// Gets or sets the innovation progress.
		/// </summary>
		/// <value>
		/// The innovation progress.
		/// </value>
		[DataMember]
		public Innovation Innovation { get; set; }

		[DataMember]
		public int OrgID { get; set; }

        [DataMember]
        public Guid? TemptId { get; set; }
	}
}