﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway
{
    public class AuditLog
    {
        /// <summary>
        /// AuditLog Id
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        /// AD User Name
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// AuditLog - when writing
        /// </summary>
        public string EventType { get; set; }

        /// <summary>
        /// AuditLog - when writing
        /// </summary>
        public DateTime EventDate { get; set; }

        /// <summary>
        /// AD User Name
        /// </summary>
        public string TableName { get; set; }

        /// <summary>
        /// AD User Name
        /// </summary>
        public string ColumnName { get; set; }

        /// <summary>
        /// RecordID
        /// </summary>
        public string RecordID { get; set; }
    }
}