﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace Crossrail.IMS.DataGateway
{
	[DataContract]
	public class PeopleSupportTemporary
	{
		/// <summary>
		/// The id
		/// </summary>
		[DataMember]
		public int ID { get; set; }

		/// <summary>
		/// Gets or sets the Name.
		/// </summary>
		/// <value>
		/// The Name.
		/// </value>
		[DataMember]
		public string Name { get; set; }

		/// <summary>
		/// Gets or sets the Reason.
		/// </summary>
		/// <value>
		/// The Reason.
		/// </value>
		[DataMember]
		public string Reason { get; set; }

		[DataMember]
		public int? OrgID { get; set; }

		/// <summary>
		/// Gets or sets the innovation progress.
		/// </summary>
		/// <value>
		/// The innovation progress.
		/// </value>
		[DataMember]
		public Innovation Innovation { get; set; }
        
        [DataMember]
        public Guid? TemptId { get; set; }
	}
}