﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;
using Crossrail.IMS.Common;

namespace Crossrail.IMS.DataGateway.Entities
{
    /// <summary>
    /// SearchInnovationCriteria
    /// </summary>
    [DataContract]
    public class SearchInnovationCriteria
    {
        [DataMember]
        public SearchInnovationMode SearchMode { get; set; }

        [DataMember]
        public string InnovationRef { get; set; }

        [DataMember]
        public string InnovationTitle { get; set; }

        [DataMember]
        public int? ProposingItemID { get; set; }

        [DataMember]
        public int? ThemeID { get; set; }

        [DataMember]
        public int? SubThemeID { get; set; }

        [DataMember]
        public int? CurrentIRLID { get; set; }

        [DataMember]
        public int? CurrentStageID { get; set; }

        [DataMember]
        public DateTime? CompetitionDateFrom { get; set; }

        [DataMember]
        public DateTime? CompetitionDateTo { get; set; }

        /// <summary>
        /// Only for full search mode.
        /// </summary>
        [DataMember]
        public string SearchText { get; set; }
    }
}