﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Crossrail.IMS.Common;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public class AttractivenessComplexityRepository : IAttractivenessComplexityRepository
	{
		private MainContext _mainContext = new MainContext();
		/// <summary>
		/// Gets the answers by question id.
		/// </summary>
		/// <param name="questionId">The question id.</param>
		/// <returns></returns>
		public List<AttractivenessComplexity> GetAnswersByQuestionId(AttractivenessComplexityQuestionId questionId)
		{
			return _mainContext.AttractivenessComplexities.Where(t => t.QuestionId == (int) questionId).ToList();
		}
        public AttractivenessComplexity GetAnswersById(int id)
        {
            return _mainContext.AttractivenessComplexities.Where(t => t.ID == id).FirstOrDefault();
        }
	}
}