﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public interface IActionsRequiredRepositoryTemp
	{
        int AddActionsRequiredTemporary(ActionsRequiredTemporary actionsRequired, string userName);

        int UpdateActionsRequiredTemporary(ActionsRequiredTemporary actionsRequired, string userName);

        int DeleteActionsRequiredTemporary(int id, string userName);

        List<ActionsRequiredTemporary> GetAllActionsRequiredTemporaryByInnovationId(int innovationId,Guid temptId);

		void FillActionsRequiredTemporaryByInnovationId(int innovationId);

		void CleanupActionsRequiredTemporaryByInnovationId(int innovationId);

		int SaveActionsRequired(int innovationId, string userName,List<ActionsRequiredTemporary> actionsRequiredTemporaryList);
	}
}