﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public interface ILinkedDocumentRepository
	{
		int AddLinkedDocument(LinkedDocument linkedDocument, string userName);

		int UpdateLinkedDocument(LinkedDocument linkedDocument, string userName);

		int DeleteLinkedDocument(int id, string userName);

		List<LinkedDocument> GetLinkedDocumentsByInnovationId(int innovationId);

		LinkedDocument GetLinkedDocumentById(int id);

		void ResetDocumentStatus(int innovationId, string userName);
	}
}