﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Crossrail.IMS.DataGateway.Entities;

namespace Crossrail.IMS.DataGateway.Repositories
{
    public interface ILinkedDocumentsTemporaryRepository
    {
        int AddLinkedDocumentsTemporary(LinkedDocumentsTemporary resourcesRequired, string userName);

        int UpdateLinkedDocumentsTemporary(LinkedDocumentsTemporary resourcesRequired, string userName);

        int DeleteLinkedDocumentsTemporary(int id, string userName);

        List<LinkedDocumentsTemporary> GetAllLinkedDocumentsTemporaryByInnovationId(int innovationId, Guid temptId);

        void FillLinkedDocumentsTemporaryByInnovationId(int innovationId);

        void CleanupLinkedDocumentsTemporaryByInnovationId(int innovationId);

        int SaveLinkedDocuments(int innovationId, string userName, List<LinkedDocumentsTemporary> linkedDocumentsTemporaryList);
    }
}
