﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Crossrail.IMS.Common;
using Crossrail.IMS.DataGateway.Dtos;

namespace Crossrail.IMS.DataGateway.Repositories
{
    public interface IReportInnovationRepository
    {
        // get Priod Name
        List<InnovationPeriod> GetInnovationPeriods(string filePath);
        List<DataNewSubmissionReport> exportNewSubmissionReport(IList<InnovationPeriod> periods);
        List<DataStageInnovationReport> exportStageSubmissionReport(IList<InnovationPeriod> periods);
        List<DataNewSubmissionReport> exportExtractSubmissionReport(IList<InnovationPeriod> periods);
        List<SubTheme> getSubThemesByThemeId(int themeId);
    }
}