﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public interface IResourcesRequiredRepository
	{
        int AddResourcesRequired(ResourcesRequired resourcesRequired, string userName);

        int UpdateResourcesRequired(ResourcesRequired resourcesRequired, string userName);

        int DeleteResourcesRequired(int id, string userName);

		List<ResourcesRequired> GetAllResourcesRequiredByInnovationId(int innovationId);
	}
}