﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using Crossrail.IMS.DataGateway.Entities;

namespace Crossrail.IMS.DataGateway.Repositories
{
    public interface ISearchInnovationRepository
    {
        /// <summary>
        /// Search innovations by criteria. Result is filtered by user's role
        /// </summary>
        /// <param name="criteria"></param>
        /// <param name="userName"></param>
        /// <returns></returns>
        List<Innovation> SearchInnovation(SearchInnovationCriteria criteria, string userName, int pageNumber, int pageSize, string sortColumn, string sortDir, out int total);
    }
}