﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using Microsoft.Exchange.WebServices.Data;

namespace Crossrail.IMS.EmailProcessor {
    public class Db {
        public bool SaveDetailsToDabase(Item email, string fileName) {
            int num;
            using (var connection = new SqlConnection(ConfigurationManager.ConnectionStrings["IMS"].ConnectionString)) {
                using (var sqlCommand = new SqlCommand("Insert_IMSEmailProcessorServiceDetails", connection)) {
                    sqlCommand.CommandType = CommandType.StoredProcedure;
                    SqlParameter sqlParameter1 = sqlCommand.Parameters.Add("@FileName", SqlDbType.VarChar, 500);
                    sqlParameter1.Direction = ParameterDirection.Input;
                    sqlParameter1.Value = fileName;
                    SqlParameter sqlParameter2 = sqlCommand.Parameters.Add("@EmailSubject", SqlDbType.VarChar, 500);
                    sqlParameter2.Direction = ParameterDirection.Input;
                    sqlParameter2.Value = email.Subject;
                    SqlParameter sqlParameter3 = sqlCommand.Parameters.Add("@EmailBody", SqlDbType.Text);
                    sqlParameter3.Direction = ParameterDirection.Input;
                    sqlParameter3.Value = email.Body.Text;
                    SqlParameter sqlParameter4 = sqlCommand.Parameters.Add("@DateReceived", SqlDbType.DateTime);
                    sqlParameter4.Direction = ParameterDirection.Input;
                    sqlParameter4.Value = email.DateTimeReceived;
                    SqlParameter sqlParameter5 = sqlCommand.Parameters.Add("@DateProcessed", SqlDbType.DateTime);
                    sqlParameter5.Direction = ParameterDirection.Input;
                    sqlParameter5.Value = DateTime.Now;
                    connection.Open();
                    num = sqlCommand.ExecuteNonQuery();
                }
            }
            return num > 0;
        }
    }
}