﻿// Type: Crossrail.IMSEmailProcessor.Program
// Assembly: Crossrail.IMSEmailProcessor, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
// MVID: E50A6F79-5AC7-4C78-AD3E-764814F56231
// Assembly location: C:\Program Files (x86)\Crossrail\Crossrail.IMSEmailProcessor.Installer\Crossrail.IMSEmailProcessor.exe

using log4net.Config;
using System;
using System.ServiceProcess;

namespace Crossrail.IMS.EmailProcessor
{
  internal static class Program
  {
    private static void Main(string[] args)
    {
      XmlConfigurator.Configure();
      if (args.Length > 0 && args[0] == "console")
      {
        EmailProcessor emailProcessor = new EmailProcessor();
        try
        {
          int num = (int) emailProcessor.Run();
        }
        catch (Exception ex)
        {
          Console.WriteLine((object) ex);
        }
        Console.ReadLine();
      }
      else
        ServiceBase.Run(new ServiceBase[1]
        {
          (ServiceBase) new Service1()
        });
    }
  }
}
