﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Xml.Serialization;
using Crossrail.IMS.ImportInnovation.DataGatewayService;

namespace Crossrail.IMS.ImportInnovation.Model
{
    [Serializable(), XmlRoot("ContactForm")]
    public class XmlInnovation
    {
        private string _ContactFirstName;
        [XmlElement("firstname")]
        public string ContactFirstName
        {
            get { return _ContactFirstName ?? string.Empty; }
            set { _ContactFirstName = value; }
        }

        private string _ContactSurName;
        [XmlElement("lastname")]
        public string ContactSurName
        {
            get { return _ContactSurName ?? string.Empty; }
            set { _ContactSurName = value; }
        }

        private string _ContactEmail;
        [XmlElement("email")]
        public string ContactEmail
        {
            get { return _ContactEmail ?? string.Empty; }
            set { _ContactEmail = value; }
        }

        private string _ContactTelephone;
        [XmlElement("telephone")]
        public string ContactTelephone
        {
            get { return _ContactTelephone ?? string.Empty; }
            set { _ContactTelephone = value; }
        }

        private string _ProposingSiteProject;
        [XmlElement("spd")]
        public string ProposingSiteProject
        {
            get { return _ProposingSiteProject ?? string.Empty; }
            set { _ProposingSiteProject = value; }
        }

        private string _ParentCompany;
        [XmlElement("ideaparentcomp")]
        public string ParentCompany
        {
            get { return _ParentCompany ?? string.Empty; }
            set { _ParentCompany = value; }
        }

        private string _Title;
        [XmlElement("ideatitle")]
        public string Title
        {
            get { return _Title ?? string.Empty; }
            set { _Title = value; }
        }

        private string _NeworShare;
        [XmlElement("ideaneworshare")]
        public string NeworShare
        {
            get { return _NeworShare ?? string.Empty; }
            set { _NeworShare = value; }
        }

        private string _Who;
        [XmlElement("ideainvolved")]
        public string Who
        {
            get { return _Who ?? string.Empty; }
            set { _Who = value; }
        }

        private string _InnovationContext;
        [XmlElement("ideaopportunity")]
        public string InnovationContext
        {
            get { return _InnovationContext ?? string.Empty; }
            set { _InnovationContext = value; }
        }

        private string _Description;
        [XmlElement("ideadescrip")]
        public string Description
        {
            get { return _Description ?? string.Empty; }
            set { _Description = value; }
        }

        private string _Benefit;
        [XmlElement("ideabenefit")]
        public string Benefit
        {
            get
            {
                return _Benefit ?? string.Empty;
            }
            set { _Benefit = value; }
        }

        private string _Maturity;
        [XmlElement("ideamaturity")]
        public string Maturity
        {
            get { return _Maturity ?? string.Empty; }
            set { _Maturity = value; }
        }

        private string _IdProcess;
        [XmlElement("ideaidprocess")]
        public string IdProcess
        {
            get { return _IdProcess ?? string.Empty; }
            set { _IdProcess = value; }
        }

        private string _HoursSpent;
        [XmlElement("ideahoursspent")]
        public string HoursSpent
        {
            get { return _HoursSpent ?? string.Empty; }
            set { _HoursSpent = value; }
        }

        private string _Theme;
        [XmlElement("ideatheme")]
        public string Theme
        {
            get { return _Theme ?? string.Empty; }
            set { _Theme = value; }
        }

        private string _Subtheme;
        [XmlElement("ideasubtheme")]
        public string Subtheme
        {
            get { return _Subtheme ?? string.Empty; }
            set { _Subtheme = value; }
        }
    }
}