﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Crossrail.IMS.WebApp.DataGatewayService;
using System.Web.Security;

namespace Crossrail.IMS.WebApp
{
    public class RoleConfig
    {
        public static void RegisterAllRoles()
        {
            var client = new DataGatewayServiceClient();
            var roles = client.GetAllRoles();

            foreach (var role in roles)
            {
                if (!Roles.RoleExists(role.RoleName))
                    Roles.CreateRole(role.RoleName);
            }
        }
    }
}