﻿$(document).ready(function () {
    $(".popup").hide();

    if ($("#SaveSuccess").val() != "") {
        alert("Saved Successfully");
    }

    $(".download-file").click(function (e) {
        var link = $(this).attr('link');
        DownloadFile(link);
    });

    $(".delete-file").click(function (e) {
        if (confirm("Are you sure you want to delete file?")) {
            var trId = $(this).attr('relativeRow');
            var hidden = "hdn-deletedfile";

            //Store all deleted files
            var previousVal = $("#" + hidden).val();
            $("#" + hidden).val(previousVal + "|" + $(this).attr("file"));

            //Remove on ui
            $("#" + trId).remove();

            //Add 1 file download input
            var nextIndex = $("#td-FileUpload").find(".file").length;
            $("#td-FileUpload").append("<input type='file' name='fileUpload-" + nextIndex + "' id='relatedFileUpload-" + nextIndex + "' class='file' />");
        }
    });

    //Set View Mode
    EnableViewMode();


    //Set the width for each dropdown items
    var $dropDownItems = $("#fmDetails select option");
    $dropDownItems.width("100%");
    $dropDownItems.each(function () {
        $(this).attr('title', $(this).html());
    });

    $("#dialog-confirm").dialog({
        autoOpen: false,
        resizable: false,
        height: 200,
        closeOnEscape: false,
        open: function (event, ui) { $(".ui-dialog-titlebar-close", ui.dialog || ui).hide(); },
        buttons: {
            "Yes": function () {
                orgProposingProject = $('#ddlDirectorate').val();
                $(this).dialog("close");
            },
            "No": function () {
                $("#ddlDirectorate").val(orgProposingProject);
                $(this).dialog("close");
            }
        }
    });

    var orgProposingProject = "";
    orgProposingProject = $('#ddlDirectorate').val();

    $('#ddlDirectorate').change(function () {
        if (orgProposingProject != null && orgProposingProject != "" && orgProposingProject != $(this[this.selectedIndex]).val()) {
            $('#dialog-confirm').dialog('open');
        }
    });


    $("#ddlHowCanWeHelp,#ddlIndividualOrSharedInnovation ,#ddlDirectorate ,#ddlArea ,#ddlSubTheme ,#ddlBenefitClearlyUnderstood ,#ddlSuitablyDevelopedToShare ,#ddlCurrentIRL ,#ddlTargetIRL,#ddlAssignedInnovationTeamMember").change(function () {
        var selectedId = $(this[this.selectedIndex]).val();
        var relatedId = $(this).attr('relatedId');
        $("#" + relatedId).val(selectedId);


        if ($(this).attr('id') == 'ddlIndividualOrSharedInnovation') {
            var defaultIndividualOrSharedInnovation1 = 'Shared Idea';
            var defaultIndividualOrSharedInnovation2 = 'On Behalf of Someone else';
            var $elementWho = $('#InnovationModel_Who');
            var dataDisplay = $(this[this.selectedIndex]).text();
            if (dataDisplay == defaultIndividualOrSharedInnovation1 || dataDisplay == defaultIndividualOrSharedInnovation2) {
                $elementWho.removeAttr('readonly');
            }
            else {
                $elementWho.attr('readonly', 'readonly');
            }
        }

    })


    if ($('#IsViewMode').val() == "False") {
        //Set default the status based on IdeaType
        var defaultIdea1 = 'A New Idea for Crossrail?';

        var $elementIdeaTypeDependence1 = $('#ddlIdeaMaturity');
        var $elementIdeaTypeDependence2 = $('#ddlInnovationSource');
        var $elementIdeaTypeDependence3 = $('#InnovationModel_HoursDeveloping');

        var dataDisplay = $('#ddlIdeaType').find('option:selected').text();
        if ($.trim(dataDisplay.toLowerCase()) == $.trim(defaultIdea1.toLowerCase())) {
            $elementIdeaTypeDependence1.removeAttr('readonly').removeAttr('disabled');
            $elementIdeaTypeDependence2.removeAttr('readonly').removeAttr('disabled');
            $elementIdeaTypeDependence3.removeAttr('readonly').removeAttr('disabled');
        }
        else {
            $elementIdeaTypeDependence1.attr('readonly', 'readonly').attr('disabled', 'disabled');
            $elementIdeaTypeDependence2.attr('readonly', 'readonly').attr('disabled', 'disabled');
            $elementIdeaTypeDependence3.attr('readonly', 'readonly');
        }
    }

    $("#ddlIdeaType").change(function () {


        var dataDisplay = $(this[this.selectedIndex]).text();
        if ($.trim(dataDisplay.toLowerCase()) == $.trim(defaultIdea1.toLowerCase())) {
            $elementIdeaTypeDependence1.removeAttr('readonly').removeAttr('disabled');
            $elementIdeaTypeDependence2.removeAttr('readonly').removeAttr('disabled');
            $elementIdeaTypeDependence3.removeAttr('readonly').removeAttr('disabled');
        }
        else {
            $elementIdeaTypeDependence1.attr('readonly', 'readonly');
            $elementIdeaTypeDependence2.attr('readonly', 'readonly');
            $elementIdeaTypeDependence3.attr('readonly', 'readonly');
        }
    })

    //Set the option value is 0
    $('select').find("option:first").val('0');

    $(".yes_no_question").change(function () {
        var value = $(this[this.selectedIndex]).text();
        if (value == "Yes") {
            $(this).parent().find('input').val('True');
        }
        else if (value == "No") {
            $(this).parent().find('input').val('False');
        }
        else if (value == "--Select--") {
            $(this).parent().find('input').val('');
        }
    });

    $('#ddlSubmitted').change(function () {
        var value = $(this[this.selectedIndex]).text();
        var $SubmittedForCompetitionDate = $("#InnovationModel_SubmittedForCompetitionDate");
        if (value == "Yes") {

            $SubmittedForCompetitionDate.datepicker({
                showOn: "button",
                dateFormat: 'dd/mm/yy',
                buttonImage: "Contents/Images/icon.gif",
                buttonImageOnly: true
            });
            $SubmittedForCompetitionDate.datetimepicker('setDate', (new Date()));
        }
        else {
            $SubmittedForCompetitionDate.val('');
        }
        $SubmittedForCompetitionDate.next('img.ui-datepicker-trigger').hide();
    });

    /*************************Handle the DropDownList Theme event********************/
    $('#ddlTheme').change(function () {
        var selectedId = $(this[this.selectedIndex]).val();
        var relatedId = $(this).attr('relatedId');
        $("#" + relatedId).val(selectedId);
        BindSubThemeByTheme(selectedId);
    })
    //////////////////////////////////////////////////////////////////////////////////
    //////////////////////////Show the popup serach user/////////////////////////////

    var targetElement = '';
    $(".btnSearchUser").click(function (e) {
        targetElement = $(this).attr('targetElement');
        openPopup();
    });

    $(".close").click(function (e) {
        closePopup();
        e.preventDefault();
    });

    $("#background").click(function () {
        closePopup();
    });

    $("#btnSerachPeopleOk").click(function () {
        var content = $('#selectedPeople').val();
        if (content.length > 0) {
            $('#' + targetElement).val(content);
            closePopup();
        }
        else {
            $('#popupErrorMess').show();
        }


    });
    //////////////////////////////////////////////////////////////////////////////////


    /*********************Handle event of the Save/Edit button***********************/
    $("#btnCancel").click(function () {
        var isViewMode = $('#IsViewMode').val();

        if (isViewMode == "True") {
            cancelForm();
        }
        else if (confirm('Are you sure you want to discard changes ?')) {
            cancelForm();
        }
    });


    $("#btnEdit").click(function () {
        var innovation_id = $(this).attr('innovation_id');
        var url = $('#hddUrl').val();

        if ($("#SelectedTab").val() != "") {
            url = $('#hddUrl').val() + 'InnovationDetails?id=' + innovation_id + "&selectedTab=" + $("#SelectedTab").val();
        } else {
            url = $('#hddUrl').val() + 'InnovationDetails?id=' + innovation_id;
        }

        window.location.replace(url);
    });
    $("#btnDelete").click(function () {
        if (confirm("Are you sure you want to delete innovation?")) {
            var innovation_id = $(this).attr('innovation_id');
            $.get($('#hddUrl').val() + 'InnovationDetails/Delete/' + innovation_id, function (data, status) {
                if (data) {
                    window.location.replace($('#hddUrl').val());
                }
                else {
                    alert('There is an error occured during deleting.');
                }
            });
        }
    });
    $("#btnSave").click(function () {
        submitForm();
    });

    $("#btnSaveOnly").click(function () {
        $("#hdnCloseAfterSave").val("0");
        submitForm();
    });


    var isFileUploadFail = $('#IsFileSizeFailedToUpload').val();
    if (isFileUploadFail == 'true') {
        $("#tab-04").click();
        alert("File to upload is limited to 10MB. Please choose another file.");
    }
});

function EnableViewMode() {
    var isViewMode = $('#IsViewMode').val();

    if (isViewMode == "True") {
        $('#fmDetails').find('textarea').attr('readonly', 'readonly');
        $('#fmDetails').find('select,input,input[type="checkbox"]').attr('disabled', 'disabled');

        $('#btnViewModeSave').show();
        $('#btnSave').hide();
        $('.btnSearchUser').hide();
    }
    else {
        $('#btnViewModeSave').hide();
        $('#btnSave').show();

        $(".datePicker").datepicker({
            showOn: "button",
            maxDate: 0,
            dateFormat: 'dd/mm/yy',
            buttonImage: "Contents/Images/icon.gif",
            buttonImageOnly: true
        });

        $(".datePickerProgress").datepicker({
            showOn: "button",
            dateFormat: 'dd/mm/yy',
            buttonImage: "Contents/Images/icon.gif",
            buttonImageOnly: true
        });


    }

}
function submitForm() {

    var formId = "#fmDetails";
    var tabs = $('#innovationDetail li');
    var tabId = "";
    var tabContent = null;
    for (var i = 0; i < tabs.length; i++) {
        
        tabId = $(tabs[i]).attr('id');
        tabContent = $("#tabContent div[data-tab='" + tabId + "']");

        tabs.removeClass("selected").addClass("unselected");
        $("#tabContent div[data-tab]").hide();

        var editRow = tabContent.find('.k-grid-edit-row');
        if (editRow.length > 0) {
            tabContent.show();
            $(tabs[i]).addClass("selected");
            editRow.find('input,select,textarea').first().focus();
            return;
        }
        $(tabs[i]).addClass("selected");
        tabContent.show();
        if ($(formId).valid() != true) {
            return;
        }
    }

    $('#UploadFiles').val(kendo.stringify($("#RelateFilesGrid").data("kendoGrid").dataSource.view()));

    $('#remitImp').val(kendo.stringify($("#InnovationRemitImpModelGrid").data("kendoGrid").dataSource.view()));
    $('#remitResponsible').val(kendo.stringify($("#InnovationRemitResponsibleModelGrid").data("kendoGrid").dataSource.view()));
    $('#remitSuccessFailure').val(kendo.stringify($("#InnovationRemitSuccessFailureModelGrid").data("kendoGrid").dataSource.view()));
    $('#remitAuthProceed').val(kendo.stringify($("#InnovationRemitAuthProceedModelGrid").data("kendoGrid").dataSource.view()));
    $('#remitSuppoter').val(kendo.stringify($("#InnovationRemitSuppoterModelGrid").data("kendoGrid").dataSource.view()));

    if ($(formId).valid() == true) {
        $(formId).submit();
    }
    else {
        var errField = $("#fmDetails").find(".input-validation-error").first();
        var result = true
        if (errField.attr("name").indexOf("InnovationProgressModel") >= 0 || errField.attr("name").indexOf("InnovationFinancialsModel") >= 0) {
            result = false;
        }


        if (errField.parents('div#content-04').length || errField.parents('div#content-05').length) {
            result = false;
        }

        if (result) {
            alert("Please input all the mandatory fields.");
        }

    }
}

function cancelForm() {
    var isViewMode = $('#IsViewMode').val();
    var userRole = $('#UserRole').val();

    var url = $('#hddUrl').val();

    var urlListManagemnet = "";
    if (url.length == 1) {
        urlListManagemnet = $('#hddUrl').val() + 'InnovationManagement/';
    }
    else {
        urlListManagemnet = $('#hddUrl').val() + '/InnovationManagement/';
    }

    var innovationId = $('#InnovationModel_ID').val();
    var innovationRef = $('#InnovationModel_InnovationRef').val();

    if (url.length == 1) {
        url = $('#hddUrl').val() + 'InnovationDetails/Cancel';
    }
    else {
        url = $('#hddUrl').val() + '/InnovationDetails/Cancel';
    }


    $.ajax({
        url: url,
        data: { innovationId: innovationId, innovationRef: innovationRef },
        type: 'POST',
        success: function (data) {
            window.location.replace(urlListManagemnet);
        }
    });

}

/*****************************Show popup serach user*******************************/
/*******************************Opent popup****************************************/
function openPopup() {
    var dheight = document.body.clientHeight;
    var dwidth = document.body.clientWidth;

    $("#background").width(dwidth).height(dheight);

    $("#background").fadeTo("slow", 0.8);

    var $searchUser = $("#searchUser");
    var top = Math.max(0, (($(window).height() - $searchUser.height()) / 2) + $(window).scrollTop()) + "px";
    var left = Math.max(0, (($(window).width() - $searchUser.height()) / 2) + $(window).scrollLeft()) + "px";
    $searchUser.css("top", top);
    $searchUser.css("left", left);

    //Empty the content
    $('#searchPeople').val('');
    $('#selectedPeople').val('');

    //hide the error message
    $('#popupErrorMess').hide();

    $searchUser.fadeIn();

}
function closePopup() {
    $("#background").fadeOut();
    $(".popup").hide();
}
/*************************************************************************************/
/*****************************Autocomple Testbox************************************/
function onAdditionalData() {
    return {
        text: $("#searchPeople").val()
    };
}

function onSelect(e) {
    var dataItem = this.dataItem(e.item.index());

    if (dataItem != null) {
        $("#selectedPeople").val(dataItem.DisplayName);
    }

}
/******************************************************************************************/
/*********************Get the Sub Theme by Theme******************************************/
function BindSubThemeByTheme(id) {
    var url = $('#hddUrl').val() + 'InnovationDetails/GetSubThemeByThemeId';
    $.ajax({
        url: url,
        data: { id: id },
        type: 'POST',
        success: function (data) {
            $('#ddlSubTheme').html(data);
            var relatedID = $('#ddlSubTheme').attr('relatedid');
            $('#' + relatedID).attr('value', 0);
        },
        error: function () { alert("error"); }
    });
}

/******************************************************************************************/
/********************* Download File ******************************************/
function DownloadFile(link) {
    window.location = link;
}

