﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace Crossrail.IMS.WebApp.Models
{
    public class AreaModel:IInnovationDataModel
    {
        public int ID { get; set; }

        [Required(ErrorMessage=Common.Constant.DataManagementErrorCode.ErrorMessageEmpty)]
        [StringLength(128, ErrorMessage = Common.Constant.DataManagementErrorCode.ErrorMessageMaxLength)]
        [RegularExpression(@"^(?!\s*$).+", ErrorMessage = Common.Constant.DataManagementErrorCode.ErrorMessageEmpty)]
        public string DataValue { get; set; }

        public int Category { get; set; }
    }
}