﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.WebApp.Models
{
    public class StageModel : IInnovationDataModel
    {
        public int ID { get; set; }

        [System.ComponentModel.DataAnnotations.Required(ErrorMessage=Common.Constant.DataManagementErrorCode.ErrorMessageEmpty)]
        [System.ComponentModel.DataAnnotations.StringLength(128, ErrorMessage = Common.Constant.DataManagementErrorCode.ErrorMessageMaxLength)]
        [System.ComponentModel.DataAnnotations.RegularExpression(@"^(?!\s*$).+", ErrorMessage = Common.Constant.DataManagementErrorCode.ErrorMessageEmpty)]
        public string DataValue { get; set; }

        public int Category { get; set; }
    }
}