﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Crossrail.IMS.WebApp.DataGatewayService;
using System.ComponentModel.DataAnnotations;

namespace Crossrail.IMS.WebApp.Models
{
    public class SubThemModel
    {
        public int SubThemeId { get; set; }

        [System.ComponentModel.DataAnnotations.Required(ErrorMessage=Common.Constant.DataManagementErrorCode.ErrorMessageEmpty)]
        [System.ComponentModel.DataAnnotations.StringLength(256, ErrorMessage = Common.Constant.DataManagementErrorCode.ErrorMessageMaxLength)]
        [System.ComponentModel.DataAnnotations.RegularExpression(@"^(?!\s*$).+", ErrorMessage = Common.Constant.DataManagementErrorCode.ErrorMessageEmpty)]
        public string SubThemeValue { get; set; }

        [UIHint("GridThemeForeignKey"),Required]
        public InnovationData Theme{ get; set; }
    }
}