﻿// -----------------------------------------------------------------------
// <copyright file="InnovationPeriod.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

using System.IO;

namespace Crossrail.IMS.Common
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class InnovationPeriod
    {
        public string Code { get; set; }
        public string Name { get; set; }
        public string LongName { get; set; }
        public string Fiscal_Period { get; set; }
        public string FiscalYearCode { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }

    }
    public class RangePeriod
    {
        public DateTime PeriodFrom { get; set; }
        public DateTime? PeriodTo { get; set; }
        public string PeriodName { get; set; }
    }

    public class SuporterOrRejecter
    {
        public string InnovationRef { get; set; }
        public string Name { get; set; }
        public string ReasonWhy { get; set; }
    }

    public class ActionRequiredReport
    {
        public string InnovationRef { get; set; }
        public string Action { get; set; }
        public string Owner { get; set; }
        public bool Completed { get; set; }

    }

    public class ResourceRequiredReport
    {
        public string InnovationRef { get; set; }
        public string Name { get; set; }
        public string Role { get; set; }
        public decimal Hours { get; set; }
        public string Output { get; set; }
    }
    public class NamingReport
    {
        public MemoryStream Stream { get; set; }
        public string FileName { get; set; }
    }
}
