﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace Crossrail.IMS.DataGateway
{
	/// <summary>
	/// AttractivenessComplexity Entity
	/// </summary>
	[DataContract]
	public class AttractivenessComplexity
	{
		/// <summary>
		/// Gets or sets the ID.
		/// </summary>
		/// <value>
		/// The ID.
		/// </value>
		[DataMember]
		public int ID { get; set; }

		/// <summary>
		/// Gets or sets the question id.
		/// </summary>
		/// <value>
		/// The question id.
		/// </value>
		[DataMember]
		public int QuestionId { get; set; }

		/// <summary>
		/// Gets or sets the content of the answer.
		/// </summary>
		/// <value>
		/// The content of the answer.
		/// </value>
		[DataMember]
		public string AnswerContent { get; set; }

		/// <summary>
		/// Gets or sets the answer score.
		/// </summary>
		/// <value>
		/// The answer score.
		/// </value>
		[DataMember]
		public int AnswerScore { get; set; }

		/// <summary>
		/// Gets or sets the colour.
		/// </summary>
		/// <value>
		/// The colour.
		/// </value>
		[DataMember]
		public string Colour { get; set; }
	}
}