﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace Crossrail.IMS.DataGateway
{
	[DataContract]
	public class LinkedDocument
	{
		[DataMember]
		public int ID { get; set; }

		[DataMember]
		public string DocumentPath { get; set; }

		[DataMember]
		public string DocumentURL { get; set; }

		[DataMember]
		public string DocumentDescription { get; set; }

		[DataMember]
		public DateTime? CreatedDate { get; set; }

		[DataMember]
		public Innovation Innovation { get; set; }

		[DataMember]
		public bool? IsNew { get; set; }

		[DataMember]
		public bool? IsDeleted { get; set; }

        [DataMember]
        public Guid? TemptId { get; set; }
	}
}