﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace Crossrail.IMS.DataGateway
{
	public class ResourcesRequiredTemporary
	{
		/// <summary>
		/// The id
		/// </summary>
		[DataMember]
		public int ID { get; set; }

		/// <summary>
		/// Gets or sets the Name.
		/// </summary>
		/// <value>
		/// The Name.
		/// </value>
		[DataMember]
		public string Name { get; set; }

		/// <summary>
		/// Gets or sets the Reason.
		/// </summary>
		/// <value>
		/// The Reason.
		/// </value>
		[DataMember]
		public string Role { get; set; }

		/// <summary>
		/// Gets or sets the hours.
		/// </summary>
		/// <value>
		/// The hours.
		/// </value>
		[DataMember]
		public decimal Hours { get; set; }

		/// <summary>
		/// Gets or sets the output.
		/// </summary>
		/// <value>
		/// The output.
		/// </value>
		[DataMember]
		public string Output { get; set; }

		/// <summary>
		/// Gets or sets the innovation progress.
		/// </summary>
		/// <value>
		/// The innovation progress.
		/// </value>
		[DataMember]
		public Innovation Innovation { get; set; }

		public int? OrgID { get; set; }

        [DataMember]
        public Guid? TemptId { get; set; }
	}
}