﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Crossrail.IMS.DataGateway
{
    [DataContract]
    public class UserProposingSiteProject
    {
	    /// <summary>
	    /// The id
	    /// </summary>
		[DataMember]
		public int ID { get; set; }

	    /// <summary>
        /// The data value
        /// </summary>
        [DataMember]
        [ForeignKey("UserID")]
		public User User { get; set; }

        public int UserID { get; set; }

        /// <summary>
        /// The category
        /// </summary>
        [DataMember]
        [ForeignKey("InnovationDataID")]
		public InnovationData InnovationData { get; set; }

        public int InnovationDataID { get; set; }
    }
}