﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public class ActionsRequiredRepository : IActionsRequiredRepository
	{
		
		public ActionsRequiredRepository()
        {
            //_mainContext.Configuration.LazyLoadingEnabled = false;
        }

        public int AddActionsRequired(ActionsRequired actionsRequired, string userName)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					var innovation = _mainContext.Innovations.Find(actionsRequired.Innovation.ID);
					if (innovation != null)
					{
						actionsRequired.Innovation = innovation;
						_mainContext.ActionsRequireds.Add(actionsRequired);
                        _mainContext.SaveChanges(userName);
						return actionsRequired.ID;
					}
					return 0;
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
		}

        public int UpdateActionsRequired(ActionsRequired actionsRequired, string userName)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					var ent = _mainContext.ActionsRequireds.Find(actionsRequired.ID);
					if (ent != null)
					{
						var attachedEntry = _mainContext.Entry(ent);
						attachedEntry.CurrentValues.SetValues(actionsRequired);
					}
					else
					{
						_mainContext.Entry(actionsRequired).State = EntityState.Modified;
					}

                    return _mainContext.SaveChanges(userName);
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
			
		}

        public int DeleteActionsRequired(int id, string userName)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					var entity = _mainContext.ActionsRequireds.Find(id);
					if (entity != null)
					{
						_mainContext.ActionsRequireds.Remove(entity);
                        return _mainContext.SaveChanges(userName);
					}
					return 0;
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
		}

		public List<ActionsRequired> GetAllActionsRequiredByInnovationId(int innovationId)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					List<ActionsRequired> result = _mainContext.ActionsRequireds
					                                           .Where(p => p.Innovation.ID == innovationId).ToList();

					return result;
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
		}
	}
}