﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Crossrail.IMS.Common;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public interface IAttractivenessComplexityRepository
	{
		/// <summary>
		/// Gets the answers by question id.
		/// </summary>
		/// <param name="questionId">The question id.</param>
		/// <returns></returns>
		List<AttractivenessComplexity> GetAnswersByQuestionId(AttractivenessComplexityQuestionId questionId);

	    AttractivenessComplexity GetAnswersById(int id);
	}
}