﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
    public interface IImportInnovationRepository
    {
        /// <summary>
        /// Adds the innovation.
        /// </summary>
        /// <returns></returns>      
        string AddInnovation(Innovation innovation,string userName);

        /// <summary>
        /// Updates the innovation.
        /// </summary>
        /// <returns></returns>       
        int UpdateInnovation(Innovation innovation, string userName);

        string GetContactEmailByRoleId(int roleId, int psdId);

        string GetContactEmailByPSDId(int psdId);
    }
}