﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public interface IPeopleSupportTempRepository
	{
		int AddPeopleSupportTemporary(PeopleSupportTemporary peopleSupport, string userName);

		int UpdatePeopleSupportTemporary(PeopleSupportTemporary peopleSupport, string userName);

		int DeletePeopleSupportTemporary(int id, string userName);

		List<PeopleSupportTemporary> GetAllPeopleSupportTemporaryByInnovationId(int innovationId,Guid temptId);

		void FillPeopleSupportTemporaryByInnovationId(int innovationId);

		void CleanupPeopleSupportTemporaryByInnovationId(int innovationId);

        int SavePeopleSupport(int innovationId, string userName,
                              List<PeopleSupportTemporary> peopleSupportTemporaryList);
	}
}