﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public interface IResourcesRequiredTempRepository
	{
        int AddResourcesRequiredTemporary(ResourcesRequiredTemporary resourcesRequired, string userName);

        int UpdateResourcesRequiredTemporary(ResourcesRequiredTemporary resourcesRequired, string userName);

        int DeleteResourcesRequiredTemporary(int id, string userName);

        List<ResourcesRequiredTemporary> GetAllResourcesRequiredTemporaryByInnovationId(int innovationId, Guid temptId);

		void FillResourceRequiredTemporaryByInnovationId(int innovationId);

		void CleanupResourceRequiredTemporaryByInnovationId(int innovationId);

		int SaveResourcesRequired(int innovationId, string userName,List<ResourcesRequiredTemporary> resourcesRequiredTemporaryList);
	}
}