﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.DataGateway.Repositories
{
	public class ResourcesRequiredRepository : IResourcesRequiredRepository
	{
		/// <summary>
		/// The _main context
		/// </summary>
		//private MainContext _mainContext;

		public ResourcesRequiredRepository()
        {
           // _mainContext = new MainContext();
            //_mainContext.Configuration.LazyLoadingEnabled = false;
        }

        public int AddResourcesRequired(ResourcesRequired resourcesRequired, string userName)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					var innovation = _mainContext.Innovations.Find(resourcesRequired.Innovation.ID);
					if (innovation != null)
					{
						resourcesRequired.Innovation = innovation;
						_mainContext.ResourcesRequireds.Add(resourcesRequired);
                        _mainContext.SaveChanges(userName);
						return resourcesRequired.ID;
					}
				}
				return 0;
			}
			catch (Exception ex)
			{
				throw ex;
			}
		}

        public int UpdateResourcesRequired(ResourcesRequired resourcesRequired, string userName)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					var ent = _mainContext.ResourcesRequireds.Find(resourcesRequired.ID);
					if (ent != null)
					{
						var attachedEntry = _mainContext.Entry(ent);
						attachedEntry.CurrentValues.SetValues(resourcesRequired);
					}
					else
					{
						_mainContext.Entry(resourcesRequired).State = EntityState.Modified;
					}

                    return _mainContext.SaveChanges(userName);
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
			
		}

        public int DeleteResourcesRequired(int id, string userName)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					var entity = _mainContext.ResourcesRequireds.Find(id);
					if (entity != null)
					{
						_mainContext.ResourcesRequireds.Remove(entity);
                        return _mainContext.SaveChanges(userName);
					}
					return 0;
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
		}

		public List<ResourcesRequired> GetAllResourcesRequiredByInnovationId(int innovationId)
		{
			try
			{
				using (var _mainContext = new MainContext())
				{
					List<ResourcesRequired> result = _mainContext.ResourcesRequireds
					                                             .Where(p => p.Innovation.ID == innovationId).ToList();
					return result;
				}
			}
			catch (Exception ex)
			{
				throw ex;
			}
		}
	}
}