﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Crossrail.IMS.WebApp
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

			//routes.MapRoute(
			//    name: "InnovationDetail",
			//    url: "InnovationDetails/{id}",
			//    defaults: new { controller = "InnovationDetails", action = "Index", id = UrlParameter.Optional }
			//);

            routes.MapRoute(
                name: "InnovationManagement",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "InnovationManagement", action = "Index", id = UrlParameter.Optional }
            );

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}