$(document).ready(function () {
    if (scoreAttr() == 0) {
        $("#attrScore").hide();
    }
    else {
        $("#attrScore").html('(Score: ' + scoreAttr() + ' )');
    }

    if (scoreComp() == 0) {
        $("#compScore").hide();
    }
    else {
        $("#compScore").html('(Score: ' + scoreComp() + ' )');
    }

    $(".attr").change(function () {
        //        var score1 = 0;
        //        var i = 0;
        //        for (i; i < 7; i++) {
        //            score1 += parseInt($(".attr:eq(" + i + ") option:selected").attr("score"));
        //        }
        if (checkAttr()) {
            $("#attrScore").show();
            $("#attrScore").html('(Score: ' + scoreAttr() + ' )');
        }
        else {
            $("#attrScore").hide();
        }
    });


    $(".comp").change(function () {
        //        var score2 = 0;
        //        var i = 0;
        //        for (i; i < 4; i++) {
        //            score2 += parseInt($(".comp:eq(" + i + ") option:selected").attr("score"));
        //        }
        if (checkComp()) {
            $("#compScore").show();
            $("#compScore").html('(Score: ' + scoreComp() + ' )');
        }
        else {
            $("#compScore").hide();
        }
    });

    /*Add color for each option*/
    //$(".attr, .comp").css("background-color", "#ffffff");
    $(".attr option:nth-child(1), .comp option:nth-child(1)").css("background-color", "#ffffff");
    $(".attr option:nth-child(2), .comp option:nth-child(2)").css("background-color", "#ff5050");
    $(".attr option:nth-child(3), .comp option:nth-child(3)").css("background-color", "#ffc000");
    $(".attr option:nth-child(4), .comp option:nth-child(4)").css("background-color", "#ffff00");
    $(".attr option:nth-child(5), .comp option:nth-child(5)").css("background-color", "#d8e4bc");
    $(".attr option:nth-child(6), .comp option:nth-child(6)").css("background-color", "#92d050");
    $(".attr option:nth-child(7), .comp option:nth-child(7)").css("background-color", "#00b050");

    //Set background for selected item
    $(".attr, .comp").filter(function () {
        var value = $(this).find(":selected").attr("score");

        switch (parseInt(value)) {
            case 0:
                $(this).css("background-color", "#ffffff");
                break;
            case -10:
                $(this).css("background-color", "#ff5050");
                break;
            case -6:
                $(this).css("background-color", "#ffc000");
                break;
            case -3:
                $(this).css("background-color", "#ffff00");
                break;
            case 3:
                $(this).css("background-color", "#d8e4bc");
                break;
            case 6:
                $(this).css("background-color", "#92d050");
                break;
            case 10:
                $(this).css("background-color", "#00b050");
                break;
        }
    });

    $(".attr").filter(function () {
        var value = $(this).find(":selected").attr("score");
        if (value != 0) {
            //            $("#attrScore span").html("0");
            //            var score1 = 0;
            //            var i = 0;
            //            for (i; i < 7; i++) {
            //                score1 += parseInt($(".attr:eq(" + i + ") option:selected").attr("score"));
            //            }
            $("#attrScore").html('(Score: ' + scoreAttr() + ' )');
        }
    });

    $(".comp").filter(function () {
        var value = $(this).find(":selected").attr("score");
        if (value != 0) {
            //            var score2 = 0;
            //            var i = 0;
            //            for (i; i < 4; i++) {
            //                score2 += parseInt($(".comp:eq(" + i + ") option:selected").attr("score"));
            //            }
            $("#compScore").html('(Score: ' + scoreComp() + ' )');
        }
    });

    /*default selected option is the first option*/
    //$(".attr option:nth-child(1), .comp option:nth-child(1)").attr("select", "selected");
    /*on change function for select tag*/
    $(".attr, .comp").change(function () {
        $(".attr option, .comp option").removeAttr("select");
        $(".attr option:selected, .comp option:selected").each(function () {
            $(this).attr("select", "selected");
        });

        var val = $(this).find(":selected").attr("score");

        switch (parseInt(val)) {
            case 0:
                $(this).css("background-color", "#ffffff");
                break;
            case -10:
                $(this).css("background-color", "#ff5050");
                break;
            case -6:
                $(this).css("background-color", "#ffc000");
                break;
            case -3:
                $(this).css("background-color", "#ffff00");
                break;
            case 3:
                $(this).css("background-color", "#d8e4bc");
                break;
            case 6:
                $(this).css("background-color", "#92d050");
                break;
            case 10:
                $(this).css("background-color", "#00b050");
                break;
        }
    });
});

function scoreAttr() {
    var score1 = 0;
    var i = 0;
    for (i; i < 7; i++) {
        score1 += parseInt($(".attr:eq(" + i + ") option:selected").attr("score"));
    }

    return score1;
}

function checkAttr() {
    var i = 0;
    for (i; i < 7; i++) {
        var score = $(".attr:eq(" + i + ") option:selected").attr("score");
        if (score != 0) return true;
    }
    return false;
}

function scoreComp() {
    var score2 = 0;
    var i = 0;
    for (i; i < 4; i++) {
        score2 += parseInt($(".comp:eq(" + i + ") option:selected").attr("score"));
    }

    return score2;
}

function checkComp() {
    var i = 0;
    for (i; i < 7; i++) {
        var score = $(".comp:eq(" + i + ") option:selected").attr("score");
        if (score != 0) return true;
    }
    return false;
}
