﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.WebApp.Models
{
	public class InnovationDetailsModel
	{

        public bool IsViewMode { get; set; }
		/// <summary>
		/// The innovation model
		/// </summary>
		public InnovationSummaryModel InnovationModel { get; set; }
		
		/// <summary>
		/// The innovation progress model
		/// </summary>
		public InnovationProgressModel InnovationProgressModel { get; set; }

		/// <summary>
		/// The innovation financials model
		/// </summary>
		public InnovationFinancialsModel InnovationFinancialsModel { get; set; }

		public string UserRole { get; set; }

        public Common.Constant.EnumDetailMode DetailMode { get; set; }

		public bool IsFileSizeFailedToUpload { get; set; }

		public string SelectedTab { get; set; }

		public string SaveSuccess { get; set; }

        public Guid TemptId { get; set; }

		public InnovationDetailsModel()
		{
            InnovationModel = new InnovationSummaryModel();
			InnovationProgressModel = new InnovationProgressModel();
			InnovationFinancialsModel = new InnovationFinancialsModel();
		}
	}
}