﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Crossrail.IMS.Common;

namespace Crossrail.IMS.WebApp.Models
{
    public class ReportInnovationModel
    {
        public int ID { get; set; }

        /// <summary>
        /// Gets or sets the Name.
        /// </summary>
        /// <value>
        /// The Name.
        /// </value>
        [Required(ErrorMessage = "The period is required"), MaxLength(128)]
        public string PeriodFrom { get; set; }

        /// <summary>
        /// Gets or sets the Reason.
        /// </summary>
        /// <value>
        /// The Reason.
        /// </value>
        public string PeriodTo { get; set; }

        /// <summary>
        /// Gets or sets the Reason.
        /// </summary>
        /// <value>
        /// The Reason.
        /// </value>
        public bool IsNewSubmission { get; set; }

        /// <summary>
        /// Gets or sets the Reason.
        /// </summary>
        /// <value>
        /// The Reason.
        /// </value>
        public bool IsStageSubmission { get; set; }


        /// <summary>
        /// Gets or sets the Reason.
        /// </summary>
        /// <value>
        /// The Reason.
        /// </value>
        public bool IsInnovationExtract { get; set; }


        /// <summary>
        /// Gets or sets the Reason.
        /// </summary>
        /// <value>
        /// The Reason.
        /// </value>
        public IList<KeyValuePair<string, string>> Periods { get; set; }
    }
}