﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Crossrail.IMS.WebApp.Models
{
    public class UserModel
    {
        public int UserID { get; set; }

        [Display(Name = "Username")]
        public string UserName { get; set; }

        [Display(Name = "Full Name")]
        public string FullName { get; set; }

        [Display(Name = "Email")]
        public string Email { get; set; }

        [Display(Name = "Contact Number")]
        public string ContactNumber { get; set; }

        [Display(Name = "Proposing Site / Project / Directorate")]
        public string ProposingItems { get; set; }

        [Display(Name = "Status")]
        public string Status { get; set; }

        [Display(Name = "Role")]
        public string RoleName { get; set; }

        [Display(Name = "Champion For")]
        public string ChampionFors { get; set; }
    }
}